com.smartgwt.client.types

## Enum DrawPosition

- java.lang.Object
- - java.lang.Enum<DrawPosition>
  - - com.smartgwt.client.types.DrawPosition

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DrawPosition>

      public enum DrawPosition
      extends java.lang.Enum<DrawPosition>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTERBEGIN` insert as the target element's first child
    `AFTEREND` insert after the target element
    `BEFOREBEGIN` insert before the target element
    `BEFOREEND` insert as the target element's last child
    `REPLACE` replace the target element

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DrawPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DrawPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFOREBEGIN

          public static final DrawPosition BEFOREBEGIN

      insert before the target element

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "beforeBegin".

    - #### AFTERBEGIN

          public static final DrawPosition AFTERBEGIN

      insert as the target element's first child

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "afterBegin".

    - #### BEFOREEND

          public static final DrawPosition BEFOREEND

      insert as the target element's last child

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "beforeEnd".

    - #### AFTEREND

          public static final DrawPosition AFTEREND

      insert after the target element

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "afterEnd".

    - #### REPLACE

          public static final DrawPosition REPLACE

      replace the target element

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "replace".

  - ### Method Detail

    - #### values

          public static DrawPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DrawPosition c : DrawPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DrawPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`